////////////////////////////////////////////////////////////////////////////////
//
// ProofTool -------------------------------------------------------------------
//
// File: ./command/commandnames.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _COMMANDNAMES_H_
#define _COMMANDNAMES_H_

////////////////////////////////////////////////////////////////////////////////

#define CMD_FNAME_QUIT                          "quit"

#define CMD_FNAME_NEW_DB                        "new-db"
#define CMD_FNAME_OPEN_DB                       "open-db"
#define CMD_FNAME_SAVE_DB                       "save-db"

#define CMD_FNAME_IMPORT_PROOF_XML              "import-proof-xml"
#define CMD_FNAME_IMPORT_OTTER                  "import-otter"
#define CMD_FNAME_EXPORT_PROOF_XML              "export-proof-xml"
#define CMD_FNAME_EXPORT_PROOF_LATEX            "export-proof-latex"
#define CMD_FNAME_EXPORT_SEQUENTLIST_XML        "export-sequentlist-xml"
#define CMD_FNAME_EXPORT_SEQUENTLIST_LATEX      "export-sequentlist-latex"
#define CMD_FNAME_EXPORT_LATEX                  "export-latex"
#define CMD_FNAME_EXPORT_PDF                    "export-pdf"

#define CMD_FNAME_LISTPROOFS                    "list-proofs"
#define CMD_FNAME_SHOWPROOF                     "show-proof"
#define CMD_FNAME_SPLITPROOF                    "split-proof"
#define CMD_FNAME_UNSPLITPROOF                  "unsplit-proof"

#define CMD_FNAME_LISTSEQUENTLISTS               "list-sequentlists"
#define CMD_FNAME_SHOWSEQUENTLIST                "show-sequentlist"

#define SUBST_HERE                              "here"
#define SUBST_IN_SEQUENT                        "sequent"
#define SUBST_ABOVE_SEQUENT                     "above"
#define SUBST_IN_PROOF                          "proof"

#define CMD_FNAME_SUBSTFORMULA                  "subst-formula"
#define CMD_FNAME_UNSUBSTFORMULA                "unsubst-formula"
#define CMD_FNAME_SUBSTSELEMENTS                "subst-selements"
#define CMD_FNAME_UNSUBSTSELEMENTS              "unsubst-selements"

#define CMD_FNAME_SELECTFORMULAVAR              "select-formula-var"
#define CMD_FNAME_SELECTFORMULA                 "select-formula"
#define CMD_FNAME_SELECTSELEMENT                "select-selement"
#define CMD_FNAME_SELECTSFORMULALISTVAR         "select-sformula-list-var"
#define CMD_FNAME_SELECTSEQUENT                 "select-sequent"
#define CMD_FNAME_SELECTPROOFLINK               "select-prooflink"

#define CMD_FNAME_DLGINPUT                      "dlg-input"
#define CMD_FNAME_DLGFILE                       "dlg-file"

#define DLGFILE_TYPE_OPEN                       "open"
#define DLGFILE_TYPE_SAVE                       "save"

#define CMD_FNAME_ZOOMALL                       "zoom-all"
#define CMD_FNAME_ZOOMFACTOR                    "zoom-factor"
#define CMD_FNAME_GETZOOMFACTOR                 "get-zoom-factor"
#define CMD_FNAME_GETZOOMMIDPT                  "get-zoom-mid-point"

#define CMD_FNAME_BINDKEY                       "bind-key"
#define CMD_FNAME_BINDBUTTON                    "bind-button"

#define CMD_FNAME_ADDMENU                       "add-menu"
#define CMD_FNAME_CLEARMENU                     "clear-menu"
#define CMD_FNAME_POPUPMENU                     "popup-menu"

////////////////////////////////////////////////////////////////////////////////

#define OBJ_SNAME_SEQUENT                       "sequent-item-ref"
#define CMD_FNAME_SEQUENT_P                     "sequent?"
#define CMD_FNAME_SELEMENT_REF_P                "selement-ref?"
#define CMD_FNAME_SFORMULALIST_VAR_REF_P        "sformula-list-var-ref?"
#define CMD_FNAME_FORMULA_REF_P                 "formula-ref?"
#define CMD_FNAME_FORMULA_VAR_REF_P             "formula-var-ref?"
#define CMD_FNAME_SEQUENT_GET_PARENT            "sequent-item-get-parent"

#define OBJ_SNAME_PROOFLINK                     "prooflink"
#define CMD_FNAME_PROOFLINK_P                   "prooflink?"
#define CMD_FNAME_PROOFLINK_GETPROOFNAME        "get-proofname"

#define OBJ_SNAME_MENU                          "menu"
#define CMD_FNAME_MAKE_MENU                     "make-menu"

#define OBJ_SNAME_MENU_ITEM                     "menu-item"
#define CMD_FNAME_MAKE_MENU_ITEM                "make-menu-item"
#define CMD_FNAME_MAKE_MENU_ITEM_SEP            "make-separator-menu-item"

////////////////////////////////////////////////////////////////////////////////

#endif

