////////////////////////////////////////////////////////////////////////////////
//
// ProofTool -------------------------------------------------------------------
//
// File: ./graphic/bitmap.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _BITMAP_H_
#define _BITMAP_H_

#include "graphiccontext.h"

class DrawBitmap : public GraphicContextCreator
{
public:
  virtual void SetPixel( GraphicPoint pt, SCOLOR col ) = 0;
  virtual SCOLOR GetPixel( GraphicPoint pt ) const = 0;

  virtual GUNIT GetWidth() const = 0;
  virtual GUNIT GetHeight() const = 0;
  virtual GraphicSize GetSize() const = 0;

  virtual void SetAllPixel( SCOLOR c ) = 0;
  virtual void MoveContent( const GraphicPoint &v ) = 0;
};

#endif
