////////////////////////////////////////////////////////////////////////////////
//
// ProofTool -------------------------------------------------------------------
//
// File: ./graphic/buttondb.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _BUTTONDB_H_
#define _BUTTONDB_H_

#include <vector>

#include "command/commandprocessor.h"

#define BUTTONDB_CONTEXT_MENU       -1
#define BUTTONDB_NUM_SPEC_BUTTONS    1

class ButtonDB : protected std::vector<CommandCall*>
{
public:
  CommandCall* LookupCommand( unsigned int button, unsigned int mods ) const; 
  void AddCommand( unsigned int button, unsigned int mods, CommandCall *c );

protected:
  static unsigned int CalcLookupValue( unsigned int button, unsigned int mods );
};

#endif

