////////////////////////////////////////////////////////////////////////////////
//
// Proof Library for C++ -------------------------------------------------------
//
// File: export/exportflatproof.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _EXPORTFLATPROOF_H_
#define _EXPORTFLATPROOF_H_

#include "exportxml.h"

class ExportFlatProofXML : public ExportXML
{
protected:
  ExportFlatProofXML();

public:
  static ExportFlatProofXML* New( bool bAsProofDatabase = false );

public:
  virtual void Write( const ProofLib::ProofDatabase* proofdb ) = 0;
  virtual void Write( const ProofLib::Proof* proof,
                      const ProofLib::ProofDatabase* proofdb ) = 0;

  virtual void Open( const char *sourcename ) = 0;
  virtual void Close() = 0;
};

#endif
