////////////////////////////////////////////////////////////////////////////////
//
// Proof Library for C++ -------------------------------------------------------
//
// File: util/proofdbdtd.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _PROOFDBDTD_H_
#define _PROOFDBDTD_H_

////////////////////////////////////////////////////////////////////////////////

#define PROOFDBDTD_VERSION                     "1.0"
#define PROOFDBDTD_ENCODING                    "UTF-8"
#define PROOFDBDTD_DTD_PROOFDATABASE \
        "http://www.logic.at/ceres/xml/4.0/proofdatabase.dtd"
#define PROOFDBDTD_DTD_PROOF \
        "http://www.logic.at/prooftool/xml/2.0/proof.dtd"
#define PROOFDBDTD_DTD_PROOFDATABASE_V1_0 \
        "http://www.logic.at/prooftool/xml/1.0/proofdatabase.dtd"
#define PROOFDBDTD_DTD_PROOF_V1_0 \
        "http://www.logic.at/prooftool/xml/1.0/proof.dtd"

#define PROOFDBDTD_DTD_PROOFDATABASE_PUBLIC    NULL
#define PROOFDBDTD_DTD_PROOFDATABASE_SYSTEM    PROOFDBDTD_DTD_PROOFDATABASE
#define PROOFDBDTD_DTD_PROOFDATABASE_SUBSET    NULL

#define PROOFDBDTD_DTD_PROOF_PUBLIC            NULL
#define PROOFDBDTD_DTD_PROOF_SYSTEM            PROOFDBDTD_DTD_PROOF
#define PROOFDBDTD_DTD_PROOF_SUBSET            NULL

#define PROOFDBDTD_NODE_PROOFDATABASE                "proofdatabase"
#define PROOFDBDTD_NODE_PROOF                        "proof"
#define PROOFDBDTD_NODE_PROOFLINK                    "prooflink"
#define PROOFDBDTD_NODE_RULE                         "rule"
#define PROOFDBDTD_NODE_SEQUENT                      "sequent"
#define PROOFDBDTD_NODE_FORMULALIST                  "formulalist"
#define PROOFDBDTD_NODE_FORMULALISTVAR               "formulalistvariable"
#define PROOFDBDTD_NODE_FORMULAVAR                   "formulavariable"
#define PROOFDBDTD_NODE_CONSTANTATOMFORMULA          "constantatomformula"
#define PROOFDBDTD_NODE_VARIABLEATOMFORMULA          "variableatomformula"
#define PROOFDBDTD_NODE_QUANTIFIEDFORMULA            "quantifiedformula"
#define PROOFDBDTD_NODE_SECONDORDERQUANTIFIEDFORMULA "secondorderquantifiedformula"
#define PROOFDBDTD_NODE_CONJUNCTIVEFORMULA           "conjunctiveformula"
#define PROOFDBDTD_NODE_FUNCTION                     "function"
#define PROOFDBDTD_NODE_CONSTANT                     "constant"
#define PROOFDBDTD_NODE_VARIABLE                     "variable"
#define PROOFDBDTD_NODE_SECONDORDERVARIABLE          "secondordervariable"
#define PROOFDBDTD_NODE_VARIABLELIST                 "variablelist"
#define PROOFDBDTD_NODE_LAMBDASUBSTITUTION           "lambdasubstitution"
#define PROOFDBDTD_NODE_SEQUENTLIST                  "sequentlist"

#define PROOFDBDTD_NODE_DEFINITIONLIST         "definitionlist"
#define PROOFDBDTD_NODE_AXIOMSET               "axiomset"
#define PROOFDBDTD_NODE_VARIABLE_DEFINITIONS   "variabledefinitions"
#define PROOFDBDTD_NODE_FORMULALISTVAR_DEF     "formulalistvariabledef"
#define PROOFDBDTD_NODE_FORMULAVAR_DEF         "formulavariabledef"
#define PROOFDBDTD_NODE_FORMULADEF             "formuladef"
#define PROOFDBDTD_NODE_TERMDEF                "termdef"
#define PROOFDBDTD_NODE_INDIRECTTERMDEF        "indirecttermdef"
#define PROOFDBDTD_NODE_DEFINEDSETFORMULA	     "definedsetformula"
#define PROOFDBDTD_NODE_DEFINEDSET	             "definedset"

#define PROOFDBDTD_ATTR_SYMBOL                 "symbol"
#define PROOFDBDTD_ATTR_TYPE                   "type"
#define PROOFDBDTD_ATTR_CALCULUS               "calculus"
#define PROOFDBDTD_ATTR_PARAM                  "param"
#define PROOFDBDTD_ATTR_ID                     "id"
#define PROOFDBDTD_ATTR_DEFINITION             "definition"

#define PROOFDBDTD_DEFAULT_CALCULUS            "LK"

////////////////////////////////////////////////////////////////////////////////

#endif
