#!/bin/sh

DIR="ProofTool.app/Contents"
DIR_SHARE="$DIR/share/prooftool"
DIR_FONTS="$DIR_SHARE/fonts"
DIR_DTD="$DIR_SHARE/dtd"
DIR_CONFIG="$DIR_SHARE"

test -d $DIR/MacOS || mkdir -p $DIR/MacOS

test -d $DIR_SHARE || mkdir -p $DIR_SHARE
test -d $DIR_FONTS || mkdir -p $DIR_FONTS
test -d $DIR_DTD || mkdir -p $DIR_DTD
test -d $DIR_CONFIG || mkdir -p $DIR_CONFIG

cp -r ../dtd/xml $DIR_DTD/

cp prooftool.conf.scm $DIR_CONFIG/

cp fonts/cmr10.afm $DIR_FONTS/
cp fonts/cmr10.pfb $DIR_FONTS/
cp fonts/cmmi10.afm $DIR_FONTS/
cp fonts/cmmi10.pfb $DIR_FONTS/
cp fonts/cmsy10.afm $DIR_FONTS/
cp fonts/cmsy10.pfb $DIR_FONTS/
