////////////////////////////////////////////////////////////////////////////////
//
// ProofTool -------------------------------------------------------------------
//
// File: ./graphic/exportpdf.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _EXPORTPDF_H_
#define _EXPORTPDF_H_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef HAVE_PDFLIB
#include "libproof/export/export.h"
#include "proofsheet.h"

class ExportPdf : public ExportModul
{
protected:
  ExportPdf();

public:
  static ExportPdf* New();

public:
  virtual void Write( const ProofLib::ProofDatabase* proofdb ) = 0;
  virtual void Write( ProofSheet *sheet ) = 0;

  virtual void Open( const char *sourcename ) = 0;
  virtual void Close() = 0;
};

#endif
#endif
