////////////////////////////////////////////////////////////////////////////////
//
// Proof Library for C++ -------------------------------------------------------
//
// File: export/savedbxml.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _SAVEDBXML_H_
#define _SAVEDBXML_H_

#include "exportxml.h"

namespace ProofLib
{
  class ProofDatabase;
  class Proof;
}

class SaveDbXML : public ExportXML
{
protected:
  SaveDbXML();

public:
  static SaveDbXML* New();

public:
  virtual void Write( const ProofLib::ProofDatabase* proofdb ) = 0;
  virtual void Write( const ProofLib::Proof* proof,
                      const ProofLib::ProofDatabase* proofdb ) = 0;

  virtual void Open( const char *sourcename ) = 0;
  virtual void Close() = 0;

};

#endif
