////////////////////////////////////////////////////////////////////////////////
//
// Proof Library for C++ -------------------------------------------------------
//
// File: import/importotter.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _IMPORTOTTER_H_
#define _IMPORTOTTER_H_

#include "import.h"

namespace ProofLib
{

class ImportOtterProof : public ImportStream
{
protected:
  ImportOtterProof( ProofDatabase* pdb ) : ImportStream( pdb ) {};

public:
  virtual Proof* Read() = 0;

  static ImportOtterProof* New( ProofDatabase* pdb );
};

}

#endif
