////////////////////////////////////////////////////////////////////////////////
//
// Proof Library for C++ -------------------------------------------------------
//
// File: util/myassert.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _MYASSERT_H_
#define _MYASSERT_H_

#ifdef DEBUG
////////////////////////////////////////////////////////////////////////////////

#include <assert.h>

#define ASSERT assert

////////////////////////////////////////////////////////////////////////////////
#else
////////////////////////////////////////////////////////////////////////////////

#include "util/exceptions.h"

#define ASSERT( cond ) \
  if( !(cond) ) throw new AssertException( #cond, __FILE__, __LINE__ )

////////////////////////////////////////////////////////////////////////////////
#endif

#endif
